# DeleteVpc

## 1. API Description

This API (DeleteVpc) is used to delete a global VPC.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Operations on global VPCs with subnets in it are not supported.</mark>
* <mark style="color:blue;">Operations on default global VPCs are not supported.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description    |
| -------------- | -------- | ------ | -------------- |
| vpcId          | Yes      | String | Global VPC ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete a global VPC.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteVpc


Request:
{
  "vpcId": "vpcXXX"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                      | Description                                                                    |
| ---------------- | ----------------------------------------------- | ------------------------------------------------------------------------------ |
| 409              | INVALID\_VPC\_BANDWIDTH\_ASSOCIATED             | Operations on global VPCs with cross-region bandwidth in it are not supported. |
| 409              | INVALID\_VPC\_LB\_ASSOCIATED                    | VPC is associated with a load balancer instance, deletion not allowed.         |
| 409              | INVALID\_VPC\_NAT\_ASSOCIATED                   | VPC is associated with a NAT gateway, operation not allowed.                   |
| 404              | INVALID\_VPC\_NOT\_FOUND                        | The global VPC does not exist.                                                 |
| 409              | INVALID\_VPC\_SUBNET\_ASSOCIATED                | Operations on global VPCs with subnets in it are not supported.                |
| 409              | INVALID\_VPC\_UNMANAGED\_EGRESS\_IP\_ASSOCIATED | VPC is associated with an unmanaged egress IP, operation not allowed.          |
| 409              | INVALID\_VPC\_ZBG\_ASSOCIATED                   | VPC is associated with a border gateway, operation not allowed.                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/deletevpc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
